com.verisign.epp.codec.fee.v09

## Class EPPFeeObjectResult

- java.lang.Object
- - com.verisign.epp.codec.fee.v09.EPPFeeObjectResult

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPFeeObjectResult
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPFeeObjectResult` represents a domain result to a check.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_OBJ_ELEMENT` Default value of the "objURI" "element" attribute.
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPFeeObjectResult`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPFeeObjectResult`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPFeeObjectResult()` Default constructor for `EPPFeeObjectResult`.
    `EPPFeeObjectResult(java.lang.String aObjID, java.lang.String aCurrency, EPPFeeCommand aCommand)` Constructor for `EPPFeeObjectResult` that takes the required object identifier, currency, and command attributes.
    `EPPFeeObjectResult(java.lang.String aObjID, java.lang.String aCurrency, EPPFeeCommand aCommand, EPPFeePeriod aPeriod, EPPFeeValue aFee)` Constructor for `EPPFeeObjectResult` that takes all the primary attributes.
    `EPPFeeObjectResult(java.lang.String aObjID, java.lang.String aCurrency, EPPFeeCommand aCommand, EPPFeePeriod aPeriod, java.util.List<EPPFeeValue> aFees, java.util.List<EPPFeeCredit> aCredits, java.lang.String aClassification, java.lang.String aObjElement)` Constructor for `EPPFeeObjectResult` that takes all attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCredit(EPPFeeCredit aCredit)` Adds a credit to the list of credits.
    `void` | `addFee(EPPFeeValue aFee)` Adds a fee to the list of fees.
    `java.lang.Object` | `clone()` Clone an `EPPCodecComponent` instance.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode instance into a DOM element tree.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPFeeObjectResult` with this instance.
    `java.lang.String` | `getClassification()` Gets the classification.
    `EPPFeeCommand` | `getCommand()` Gets the command value.
    `java.util.List<EPPFeeCredit>` | `getCredits()` Gets the list of credits if defined.
    `java.lang.String` | `getCurrency()` Gets the currency value.
    `java.util.List<EPPFeeValue>` | `getFees()` Gets the list of fees if defined.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getObjElement()` Gets the local name of the object attribute that uniquely identifies the object.
    `java.lang.String` | `getObjID()` Gets the object identifier value.
    `EPPFeePeriod` | `getPeriod()` Gets the period value.
    `boolean` | `hasClassification()` Is the classification defined?
    `boolean` | `hasCredits()` Are the credits defined?
    `boolean` | `hasFees()` Are the fees defined?
    `boolean` | `hasPeriod()` Is the period defined?
    `void` | `setClassification(java.lang.String aClassification)` Sets the classification.
    `void` | `setCommand(EPPFeeCommand aCommand)` Sets the command value.
    `void` | `setCredits(java.util.List<EPPFeeCredit> aCredits)` Sets the list of credits.
    `void` | `setCurrency(java.lang.String aCurrency)` Sets the currency value.
    `void` | `setFees(java.util.List<EPPFeeValue> aFees)` Sets the list of fees.
    `void` | `setObjElement(java.lang.String aObjElement)` Sets the local name of the object attribute that uniquely identifies the object.
    `void` | `setObjID(java.lang.String aObjID)` Sets the name value.
    `void` | `setPeriod(EPPFeePeriod aPeriod)` Sets the optional period value.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPFeeObjectResult`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPFeeObjectResult`.
      See Also:
        Constant Field Values

    - #### DEFAULT_OBJ_ELEMENT

          public static final java.lang.String DEFAULT_OBJ_ELEMENT

      Default value of the "objURI" "element" attribute.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPFeeObjectResult

          public EPPFeeObjectResult()

      Default constructor for `EPPFeeObjectResult`.

    - #### EPPFeeObjectResult

          public EPPFeeObjectResult(java.lang.String aObjID,
                                    java.lang.String aCurrency,
                                    EPPFeeCommand aCommand)

      Constructor for `EPPFeeObjectResult` that takes the required object identifier, currency, and command attributes.
      Parameters:
        `aObjID` - Object identifier
        `aCurrency` - Currency of the fees
        `aCommand` - Command associated with the fees

    - #### EPPFeeObjectResult

          public EPPFeeObjectResult(java.lang.String aObjID,
                                    java.lang.String aCurrency,
                                    EPPFeeCommand aCommand,
                                    EPPFeePeriod aPeriod,
                                    EPPFeeValue aFee)

      Constructor for `EPPFeeObjectResult` that takes all the primary attributes.
      Parameters:
        `aObjID` - Object identifier
        `aCurrency` - Currency of the fees
        `aCommand` - Command associated with the fees
        `aPeriod` - Registration period of the fees. Set to `null` to specify no period.
        `aFee` - A single fee value

    - #### EPPFeeObjectResult

          public EPPFeeObjectResult(java.lang.String aObjID,
                                    java.lang.String aCurrency,
                                    EPPFeeCommand aCommand,
                                    EPPFeePeriod aPeriod,
                                    java.util.List<EPPFeeValue> aFees,
                                    java.util.List<EPPFeeCredit> aCredits,
                                    java.lang.String aClassification,
                                    java.lang.String aObjElement)

      Constructor for `EPPFeeObjectResult` that takes all attributes.
      Parameters:
        `aObjID` - Object identifier
        `aCurrency` - Currency of the fees
        `aCommand` - Command associated with the fees
        `aPeriod` - Registration period of the fees. Set to `null` to specify no period.
        `aFees` - A list of fees that if set to `null` indicates no fees
        `aCredits` - A list of credits that if set to `null` indicates no credits.
        `aClassification` - An optional classification of the domain name. If set to `null` there is no classification.
        `aObjElement` - Local name of the object attribute with the default value of `DEFAULT_OBJ_ELEMENT`.

  - ### Method Detail

    - #### getObjID

          public java.lang.String getObjID()

      Gets the object identifier value.
      Returns:
        Object identifier value if defined; `null` otherwise.

    - #### setObjID

          public void setObjID(java.lang.String aObjID)

      Sets the name value.
      Parameters:
        `aObjID` - Object identifier value

    - #### getObjElement

          public java.lang.String getObjElement()

      Gets the local name of the object attribute that uniquely identifies the object.
      Returns:
        Local name of the object attribute that uniquely identifies the object with the default value of `DEFAULT_OBJ_ELEMENT`.

    - #### setObjElement

          public void setObjElement(java.lang.String aObjElement)

      Sets the local name of the object attribute that uniquely identifies the object.
      Parameters:
        `aObjElement` - Local name of the object attribute that uniquely identifies the object

    - #### getCurrency

          public java.lang.String getCurrency()

      Gets the currency value.
      Returns:
        Currency if defined; `null` otherwise.

    - #### setCurrency

          public void setCurrency(java.lang.String aCurrency)

      Sets the currency value.
      Parameters:
        `aCurrency` - Currency value

    - #### getCommand

          public EPPFeeCommand getCommand()

      Gets the command value.
      Returns:
        Command value if defined; `null` otherwise.

    - #### setCommand

          public void setCommand(EPPFeeCommand aCommand)

      Sets the command value.
      Parameters:
        `aCommand` - Command value

    - #### hasPeriod

          public boolean hasPeriod()

      Is the period defined?
      Returns:
        `true` if the period is defined; `false` otherwise.

    - #### getPeriod

          public EPPFeePeriod getPeriod()

      Gets the period value.
      Returns:
        Period if defined; `null` otherwise.

    - #### setPeriod

          public void setPeriod(EPPFeePeriod aPeriod)

      Sets the optional period value.
      Parameters:
        `aPeriod` - Period value. Set to `null` to specify no period.

    - #### hasFees

          public boolean hasFees()

      Are the fees defined?
      Returns:
        `true` if the fees are defined; `false` otherwise.

    - #### getFees

          public java.util.List<EPPFeeValue> getFees()

      Gets the list of fees if defined.
      Returns:
        List of fees if defined; empty list otherwise.

    - #### addFee

          public void addFee(EPPFeeValue aFee)

      Adds a fee to the list of fees.
      Parameters:
        `aFee` - The fee to add.

    - #### setFees

          public void setFees(java.util.List<EPPFeeValue> aFees)

      Sets the list of fees.
      Parameters:
        `aFees` - The fees to set.

    - #### hasCredits

          public boolean hasCredits()

      Are the credits defined?
      Returns:
        `true` if the credits are defined; `false` otherwise.

    - #### getCredits

          public java.util.List<EPPFeeCredit> getCredits()

      Gets the list of credits if defined.
      Returns:
        List of credits if defined; empty list otherwise.

    - #### addCredit

          public void addCredit(EPPFeeCredit aCredit)

      Adds a credit to the list of credits.
      Parameters:
        `aCredit` - The credit to add.

    - #### setCredits

          public void setCredits(java.util.List<EPPFeeCredit> aCredits)

      Sets the list of credits.
      Parameters:
        `aCredits` - The credits to set.

    - #### hasClassification

          public boolean hasClassification()

      Is the classification defined?
      Returns:
        `true` if the classification is defined; `false` otherwise.

    - #### getClassification

          public java.lang.String getClassification()

      Gets the classification.
      Returns:
        The classification value if defined; `null` otherwise.

    - #### setClassification

          public void setClassification(java.lang.String aClassification)

      Sets the classification.
      Parameters:
        `aClassification` - the classification to set

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document, which acts is an Element factory
      Returns:
        Element Root element associated with the object
      Throws:
        `EPPEncodeException` - Error encoding `EPPFeeObjectResult`

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - `Element` to decode
      Throws:
        `EPPDecodeException` - Error decoding `Element`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone an `EPPCodecComponent` instance.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPFeeObjectResult`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPFeeObjectResult` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.